AddFeatureCatalog
const url = 'https://example.com/api/v1/provision/admin/feature-catalog';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"productId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","featureCode":"example","name":"example","units":"example","metricName":"example","featureType":"Boolean","lifecycleStatus":"Draft","visibility":"Public","meterAggregationType":"CumulativeCounter","valueScore":1,"enumOptions":[{"value":"example","description":"example"}],"tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/feature-catalog \ --header 'Content-Type: application/json' \ --data '{ "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "name": "example", "units": "example", "metricName": "example", "featureType": "Boolean", "lifecycleStatus": "Draft", "visibility": "Public", "meterAggregationType": "CumulativeCounter", "valueScore": 1, "enumOptions": [ { "value": "example", "description": "example" } ], "tags": [ "example" ] }'Request Bodyrequired
Section titled “Request Bodyrequired”Admin request to define a new feature in a product’s feature catalog.
object
Metric name a Metered feature reports usage under.
Data type of a feature’s value; determines how Value strings are interpreted and enforced.
Lifecycle state of a feature catalog entry.
Who can see a feature.
Relative, unitless value weight used by value-delivered analytics; null means the feature is not valued yet.
One allowed value of an Enumeration-typed feature.
object
Tag names to apply, drawn from the tenant’s TagScopeDto.FeatureCatalog vocabulary. A name not yet in the registry is created there.
Admin request to define a new feature in a product’s feature catalog.
object
Metric name a Metered feature reports usage under.
Data type of a feature’s value; determines how Value strings are interpreted and enforced.
Lifecycle state of a feature catalog entry.
Who can see a feature.
Relative, unitless value weight used by value-delivered analytics; null means the feature is not valued yet.
One allowed value of an Enumeration-typed feature.
object
Tag names to apply, drawn from the tenant’s TagScopeDto.FeatureCatalog vocabulary. A name not yet in the registry is created there.
Admin request to define a new feature in a product’s feature catalog.
object
Metric name a Metered feature reports usage under.
Data type of a feature’s value; determines how Value strings are interpreted and enforced.
Lifecycle state of a feature catalog entry.
Who can see a feature.
Relative, unitless value weight used by value-delivered analytics; null means the feature is not valued yet.
One allowed value of an Enumeration-typed feature.
object
Tag names to apply, drawn from the tenant’s TagScopeDto.FeatureCatalog vocabulary. A name not yet in the registry is created there.
Responses
Section titled “Responses”OK
A feature definition in a product’s feature catalog: the canonical source for a feature code’s type, allowed values, metering, and visibility. Whether end users are asked to rate a feature is configured separately, per campaign — see RatingCampaignDto.
object
Metric name a Metered feature reports usage under.
Data type of a feature’s value; determines how Value strings are interpreted and enforced.
Lifecycle state of a feature catalog entry.
Who can see a feature.
Relative, unitless value weight used by value-delivered analytics. Null means the feature is not valued yet and contributes nothing. Weights are applied when a report is generated, so changing one re-values history — intended behaviour for a relative measure.
One allowed value of an Enumeration-typed feature.
object
Tag names applied to this entry, from the tenant’s TagScopeDto.FeatureCatalog vocabulary.
What still actively refers to the entry, and so keeps it from being deleted. Null where the read does not compute it.
object
Products that carry the feature.
Customer entitlements whose features include the code.
Offers whose features include the code.
Plan sets with a plan that sets a value for the code.
Add-ons that grant the feature.
Rating campaigns that ask about the feature.
A feature definition in a product’s feature catalog: the canonical source for a feature code’s type, allowed values, metering, and visibility. Whether end users are asked to rate a feature is configured separately, per campaign — see RatingCampaignDto.
object
Metric name a Metered feature reports usage under.
Data type of a feature’s value; determines how Value strings are interpreted and enforced.
Lifecycle state of a feature catalog entry.
Who can see a feature.
Relative, unitless value weight used by value-delivered analytics. Null means the feature is not valued yet and contributes nothing. Weights are applied when a report is generated, so changing one re-values history — intended behaviour for a relative measure.
One allowed value of an Enumeration-typed feature.
object
Tag names applied to this entry, from the tenant’s TagScopeDto.FeatureCatalog vocabulary.
What still actively refers to the entry, and so keeps it from being deleted. Null where the read does not compute it.
object
Products that carry the feature.
Customer entitlements whose features include the code.
Offers whose features include the code.
Plan sets with a plan that sets a value for the code.
Add-ons that grant the feature.
Rating campaigns that ask about the feature.
Example
{ "featureType": "Boolean", "lifecycleStatus": "Draft", "visibility": "Public", "meterAggregationType": "CumulativeCounter"}A feature definition in a product’s feature catalog: the canonical source for a feature code’s type, allowed values, metering, and visibility. Whether end users are asked to rate a feature is configured separately, per campaign — see RatingCampaignDto.
object
Metric name a Metered feature reports usage under.
Data type of a feature’s value; determines how Value strings are interpreted and enforced.
Lifecycle state of a feature catalog entry.
Who can see a feature.
Relative, unitless value weight used by value-delivered analytics. Null means the feature is not valued yet and contributes nothing. Weights are applied when a report is generated, so changing one re-values history — intended behaviour for a relative measure.
One allowed value of an Enumeration-typed feature.
object
Tag names applied to this entry, from the tenant’s TagScopeDto.FeatureCatalog vocabulary.
What still actively refers to the entry, and so keeps it from being deleted. Null where the read does not compute it.
object
Products that carry the feature.
Customer entitlements whose features include the code.
Offers whose features include the code.
Plan sets with a plan that sets a value for the code.
Add-ons that grant the feature.
Rating campaigns that ask about the feature.
Example
{ "featureType": "Boolean", "lifecycleStatus": "Draft", "visibility": "Public", "meterAggregationType": "CumulativeCounter"}